// MDR
// version 1.0
// December 17, 2014
// Author: Vi Q. Ha


#ifndef VMD_AGT_TYPE
#define VMD_AGT_TYPE
#include "dinner.h"
namespace mdr {
	
	

class AgentTypeCard
{
    private:
	protected:
    public:
		
		//~ int type;
		std::string name;
		double radius;
		double mass;
		dinner::Vector<long double> v_freedom, a_freedom;
		
		AgentTypeCard(){
			name = "Nameless";
			radius =1;
			mass = 1;
			v_freedom.set(1,1,1);
			a_freedom.set(1,1,1);
		}
		AgentTypeCard(std::string _name,double _r ,double _m ,dinner::Vector<long double> _vf ,dinner::Vector<long double> _af){
			name = _name;
			radius =_r;
			mass = _m;
			v_freedom.set(_vf);
			a_freedom.set(_af);
		}
		AgentTypeCard(std::string _name){
			name = _name;
			radius =1;
			mass = 1;
			v_freedom.set(1,1,1);
			a_freedom.set(1,1,1);
		}
		AgentTypeCard(double _r ,double _m ,dinner::Vector<long double> _vf ,dinner::Vector<long double> _af){
			name = "Nameless";
			radius =_r;
			mass = _m;
			v_freedom.set(_vf);
			a_freedom.set(_af);
		}
		~AgentTypeCard(){}
		
		void print(){
			std::cout << "Name = " << name << std::endl; 
			std::cout << "Radius = " << radius << std::endl; 
			std::cout << "Mass = " << mass << std::endl; 
			std::cout << "v_freedom = " << v_freedom << std::endl; 
			std::cout << "a_freedom = " << a_freedom << std::endl<< std::endl; 
			
		}
};


} // end namespace
#endif
