// MDR
// version 3.0
// September 15, 2014
// Authors: Vi Q. Ha


#ifndef VMD_DATA_H
#define VMD_DATA_H

#include "pointers.h"

namespace mdr {

class Data : protected Pointers {

    private:
		
		double rangeRdf;
		/// the number of indexes of the array histRdf
		int sizeHistRdf;
		/// array to store distances between particles
		std::vector<double> histRdf;
		
		int countRdf;
		/// the number of steps the program collect before printing
		int limitRdf ;
		
    public:
		Data(class MDR *);
		void print_msd();
		void print_rdf();
		void print_cfglings();
};

}

#endif
