#ifndef TYPES_DEF
#define TYPES_DEF


#include "Parameters.h"
#include "ParticleAgent.h"
#include "SharedContinuousSpace3D.h" 
#include "SharedContinuousSpace.h" 
#include "SharedNetwork.h"
#include "agent_type.h"

typedef ParticleAgent AGENT_TYPE;
typedef repast::SharedContext<AGENT_TYPE> CONTEXT_TYPE;
typedef mdr3d::SharedContinuousSpace3D<AGENT_TYPE, repast::WrapAroundBorders, repast::SimpleAdder<AGENT_TYPE> > SPACE_TYPE;
typedef repast::SharedNetwork<ParticleAgent, repast::RepastEdge<ParticleAgent>, repast::RepastEdgeContent<ParticleAgent>, repast::RepastEdgeContentManager<ParticleAgent> > NETWORK_TYPE;


typedef repast::Projection<AGENT_TYPE> PROJ_TYPE;

typedef std::vector<repast::AgentId>  PAIR_ID_TYPE;
typedef std::vector< PAIR_ID_TYPE >  PAIR_LIST_TYPE;
 
#endif
